<?
	include("./config.inc.php");	//ตั้งค่าต่างๆของเวปบอร์ด
	include("./function.php");		//ฟังก์ชั่นที่ใช้ในเวปบอร์ด
      
	   $key=$_GET["key"];	
      $nu=$_GET["nu"];
      $pass01=$_POST["pass01"];
      $pass02=$_POST["pass02"];
	  
	$filename="id.pass";
		if(file_exists($filename)) 
	   {	// ถ้ามีไฟล์หัวข้อคำถาม
		$dat01 = file($filename);
          $num=0;
         // แยกข้อมูลในแต่ละบรรทัด ออกเป็นฟิลด์ย่อย
  		    $split = explode("|X|",$dat01[0]);

	$FILE=fopen($filename,"w+");
	flock($FILE,2);

    if($pass01=="") $password=$split[1];  else  $password=$pass01; 
   
   
    fputs($FILE,$dat01[$i]);   
    fputs($FILE,"$split[0]|X|$password|X|\n");

	flock($FILE,3);
	fclose($FILE);
	header("Location:admin.php?key=$key");
}else
{
    echo "error"; 
}


?>